1. Warehouse - HMAC Auth
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users
    • Events
    • Locations
    • Groups
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Events
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Org Hierarchy
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • SourceEventResultCode
    • SourceEventResultDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • DWLocationsResponseDto
    • DWChangeLogUserResponseDto
    • DWUsersResponseDto
    • PresenceEventDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • CreateVisitorArrivalEventResponseDto
    • OccupancyEventDto
    • CreatePresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • ResultCodes
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • AuthResponseDto
    • OAuthResponseDto
    • AccessCredentialUpdateRequest
    • AccessCredentialUpdate
    • AccessCredential
    • AccessCredentialUpdateResponse
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResultCodes
    • OAuthRequestDto
    • CreateVisitorArrivalEventDto
    • DWEventsResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Warehouse - HMAC Auth

Bookings & Attendance

GET
/v1/analytics/user-booking-attendance
The bookings and attendance query returns a combination of data from three different models: attendance, bookings and plans. It is recommended that you read the Calven Data Models overview to get more details on those.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/analytics/user-booking-attendance?startDate=undefined&endDate=undefined&locationId=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
[
    {
        "userId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "primaryLocationId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "primaryLocationName": "New York",
        "day": "2021-12-24T00:00:00.000Z",
        "plan": "a",
        "bookingDepth": 1,
        "attendanceType": "confirmed",
        "bookingLocationId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "bookingLocationName": "New York",
        "bookingLevelId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "bookingLevelName": "Level 1",
        "bookingZoneId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "bookingZoneName": "Engineering Zone",
        "bookingPlaceId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "bookingPlaceName": "WD1",
        "primaryGroupId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "primaryGroupName": "Engineering",
        "bookingGroupId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "bookingGroupName": "Engineering",
        "bookingSource": "user",
        "bookingReasonCode": "userSelected",
        "onWaitlist": true,
        "publishedAt": "2023-10-05T14:48:00.000Z"
    }
]
Modified at 2026-09-01 05:14:50
Previous
Events
Next
Presence
Built with